Subject: Re: Fwd: request for application/smil
From: Philipp Hoschka <[email-masked]>
To: MURATA Makoto <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 Jan 2000 11:38:13 +0100
List-Id: <ietf-xml-mime.imc.org>

MURATA Makoto a écrit :
...
> However, in order not to make an antecedent, I would like the I-D to mention
> this name convention and reasons not to follow it.

no problem

From: MURATA Makoto <[email-masked]>
Date: Mon, 24 Jan 2000 17:36:50 +0900
To: Philipp Hoschka <[email-masked]>
Cc: [email-masked]
Subject: Re: Fwd: request for application/smil
Sender: [email-masked]

Philipp,

> However, the use of "application/smil" predates the proposal of 
> appending "-xml" to XML-based MIME types by more than a year - I think
> the first Internet draft dates from April '98. The proposal has
> already been succesfully reviewed in the past on ietf-types,
> but somebody dropped the ball bringing it to the IESG. Given
> this history, and that there is an installed base, it seems reasonable 
> to stick with the current practice of using "application/smil".

The use of "application/xml" implies that those who are not aware 
of this specialized media type cannot do anything even if they can 
handle XML.  If SMIL people live with this disadvantage, I would not 
oppose to this charset name.

However, in order not to make an antecedent, I would like the I-D to mention 
this name convention and reasons not to follow it.

Cheers,

Makoto
 
Fuji Xerox Information Systems
 
Tel: +81-44-812-7230   Fax: +81-44-812-7231
E-mail: [email-masked]

Date: Tue, 18 Jan 2000 11:30:51 +0100
From: Philipp Hoschka <[email-masked]>
To: MURATA Makoto <[email-masked]>
CC: [email-masked]
Subject: Re: Fwd: request for application/smil
Sender: [email-masked]

Murata,

I was very much aware of your draft. In fact, it has 
already been proposed to adopt it when reviewing this registration
on www-smil
http://lists.w3.org/Archives/Public/www-smil/1999OctDec/0015.html

However, the use of "application/smil" predates the proposal of 
appending "-xml" to XML-based MIME types by more than a year - I think
the first Internet draft dates from April '98. The proposal has
already been succesfully reviewed in the past on ietf-types,
but somebody dropped the ball bringing it to the IESG. Given
this history, and that there is an installed base, it seems reasonable 
to stick with the current practice of using "application/smil".

-Philipp

MURATA Makoto a écrit :
> 
> This message was originally sent to [email-masked] and [email-masked].
> Since the proposed media type for SMIL is an XML-based media type, I am
> forwarding this message to this list.
> 
> For SMIL-unaware recipients to use XML-generic application programs for
> SMIL data, application/smil-xml would be better than application/xmil, as
> I see it.  More about this issue, see Section 6 of a recently-published I-D for
> XML media types, which is available at:
> 
> http://search.ietf.org/internet-drafts/draft-murata-xml-02.txt
> 
> Philipp Hoschka wrote:
> > Please review
> >
> > http://search.ietf.org/internet-drafts/draft-hoschka-smil-media-type-04.txt
> >
> > Note that this had already been reviewed at the end of 1998, but
> > it has not been submitted to the IESG afterwards for consideration
> > as informational RFC. Since there have been minor changes, I guess
> > it's better to go through another 2 week review on ietf-types.
> >
> > -Philipp Hoschka, W3C
> 
> Makoto
> 
> Fuji Xerox Information Systems
> 
> Tel: +81-44-812-7230   Fax: +81-44-812-7231
> E-mail: [email-masked]

From: MURATA Makoto <[email-masked]>
Date: Tue, 18 Jan 2000 16:45:59 +0900
To: [email-masked]
Subject: Re: Announcement of draft-murata-xml-02.txt
Sender: [email-masked]

Martin J. Duerst wrote:
> 
> I just started reading the  draft, but I'm surprised/confused
> that it talks about text/xml and application/xml as new mime
> types, and explains why they should go into the IETF tree.
> Did you forget about RFC 2376?

This I-D is intended to obsolete RFC 2376 eventually.

Makoto
 
Fuji Xerox Information Systems
 
Tel: +81-44-812-7230   Fax: +81-44-812-7231
E-mail: [email-masked]

Date: Tue, 18 Jan 2000 15:45:02 +0900
To: MURATA Makoto <[email-masked]>
From: "Martin J. Duerst" <[email-masked]>
Subject: Re: Announcement of draft-murata-xml-02.txt
Cc: [email-masked]
Sender: [email-masked]

Hello Makoto,

I just started reading the  draft, but I'm surprised/confused
that it talks about text/xml and application/xml as new mime
types, and explains why they should go into the IETF tree.
Did you forget about RFC 2376?

Regards,   Martin.

At 11:27 00/01/18 +0900, MURATA Makoto wrote:
> Simon St. Laurent and I co-authored a new I-D for XML media types.  It 
> is available at:
> 
> 	http://www.ietf.org/internet-drafts/draft-murata-xml-02.txt

#-#-#  Martin J. Du"rst, World Wide Web Consortium
#-#-#  mailto:[email-masked]   http://www.w3.org

From: MURATA Makoto <[email-masked]>
Date: Tue, 18 Jan 2000 11:27:19 +0900
To: [email-masked]
Subject: Announcement of draft-murata-xml-02.txt
Sender: [email-masked]

Simon St. Laurent and I co-authored a new I-D for XML media types.  It 
is available at:

	http://www.ietf.org/internet-drafts/draft-murata-xml-02.txt

An HTML version is available at:

	http://www.simonstl.com/idxmlmime/draft-murata-xml-02.htm

Changes from the previous I-D are as below:

   draft-murata-02: Replaced "(e.g., ESMTP, 8BITMIME, or NNTP)" with
   "(e.g., 8BITMIME ESMTP or NNTP)"; transcoding without revising
   encoding declarations is mentioned; the choice of "US-ascii" as the
   default is explained.  text/xml-external-parsed-entity and
   application/xml-external-parsed-entity are added.  Examples of these
   two media types are added (7.10 and 7.11).  References are updated.

Cheers,

MURATA Makoto (FAMILY Given)
Fuji Xerox Information Systems
 
Tel: +81-44-812-7230   Fax: +81-44-812-7231
E-mail: [email-masked]

From: MURATA Makoto <[email-masked]>
Date: Tue, 18 Jan 2000 11:23:06 +0900
To: [email-masked]
Cc: [email-masked]
Subject: Fwd: request for application/smil
Sender: [email-masked]

This message was originally sent to [email-masked] and [email-masked].  
Since the proposed media type for SMIL is an XML-based media type, I am 
forwarding this message to this list.

For SMIL-unaware recipients to use XML-generic application programs for 
SMIL data, application/smil-xml would be better than application/xmil, as 
I see it.  More about this issue, see Section 6 of a recently-published I-D for 
XML media types, which is available at:

http://search.ietf.org/internet-drafts/draft-murata-xml-02.txt

Philipp Hoschka wrote:
> Please review 
> 
> http://search.ietf.org/internet-drafts/draft-hoschka-smil-media-type-04.txt
> 
> Note that this had already been reviewed at the end of 1998, but 
> it has not been submitted to the IESG afterwards for consideration
> as informational RFC. Since there have been minor changes, I guess
> it's better to go through another 2 week review on ietf-types.
> 
> -Philipp Hoschka, W3C

Makoto
 
Fuji Xerox Information Systems
 
Tel: +81-44-812-7230   Fax: +81-44-812-7231
E-mail: [email-masked]